<!DOCTYPE html>
<html lang="pt-br">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <script src="vue.global.js"></script>

    <link rel="styleheet" href="style.css" />

    <title>Teste V-IF</title>
  </head>
  
  <body>
    <div id="app">
      <div>
        <span v-if="testeSpan">Funcionou nosso exemplo!</span>
        <br>

        <button @click="handleTest">Teste</button>
      </div>
      <!--Fim da div-->
      <div>
      <button @click="toggleLampada">
        {{isLampadaLigada ? `Desligar`: `Ligar`}}
      </button>
      <br>
      <img v-if="isLampadaLigada" src="imagens/On.png" alt="Lampada Ligada"/>
      <img v-else="isLampadaLigada" src="imagens/Off.png" alt="Lampada Desligada"/>
      </div><!--Fim da div-->
    </div>
    <!--Fim da div principal-->
    <script src="process.js"></script>
  </body>
</html>
